Manifest-Version: 1.0
Bnd-LastModified: 1707458355070
Build-Jdk: 11.0.4
Built-By: root
Bundle-Description: Initializes Synapse and the required mediation tasks
  for the ESB
Bundle-DocURL: http://www.wso2.org/
Bundle-License: http://www.apache.org/licenses/LICENSE-2.0.txt
Bundle-ManifestVersion: 2
Bundle-Name: org.wso2.carbon.mediation.light.initializer
Bundle-SymbolicName: org.wso2.carbon.mediation.light.initializer
Bundle-Vendor: WSO2
Bundle-Version: 4.7.190
CAPP_MANAGER-RequiredServices: org.wso2.carbon.mediation.initializer.ser
 vices.SynapseEnvironmentService
Created-By: Apache Maven Bundle Plugin
DynamicImport-Package: *
Export-Package: org.wso2.carbon.mediation.initializer;uses:="org.apache.
 axis2.engine,org.apache.synapse,org.apache.synapse.config,org.apache.sy
 napse.core,org.osgi.service.component,org.wso2.carbon.core,org.wso2.car
 bon.inbound.endpoint.persistence.service,org.wso2.carbon.mediation.init
 ializer.persistence,org.wso2.carbon.mediation.ntask.internal,org.wso2.c
 arbon.ntask.core.service,org.wso2.carbon.securevault,org.wso2.carbon.ta
 sk.services,org.wso2.carbon.utils";version="4.7.190",org.wso2.carbon.me
 diation.initializer.configurations;uses:="org.apache.axis2.context,org.
 apache.axis2.engine,org.apache.synapse.config,org.apache.synapse.core,o
 rg.wso2.carbon.registry.core.session";version="4.7.190",org.wso2.carbon
 .mediation.initializer.handler;uses:="org.apache.axis2,org.apache.axis2
 .context,org.apache.axis2.engine,org.apache.axis2.handlers,org.apache.s
 ynapse";version="4.7.190",org.wso2.carbon.mediation.initializer.persist
 ence;uses:="org.apache.axiom.om,org.apache.axis2.engine,org.apache.comm
 ons.logging,org.apache.synapse,org.apache.synapse.api,org.apache.synaps
 e.commons.executors,org.apache.synapse.config,org.apache.synapse.config
 .xml,org.apache.synapse.core.axis2,org.apache.synapse.endpoints,org.apa
 che.synapse.eventing,org.apache.synapse.inbound,org.apache.synapse.libr
 aries.imports,org.apache.synapse.mediators.base,org.apache.synapse.medi
 ators.template,org.apache.synapse.message.processor,org.apache.synapse.
 message.store,org.apache.synapse.registry";version="4.7.190",org.wso2.c
 arbon.mediation.initializer.services;uses:="org.apache.axis2.context,or
 g.apache.synapse.config,org.apache.synapse.core,org.osgi.framework";ver
 sion="4.7.190",org.wso2.carbon.mediation.initializer.utils;uses:="org.a
 pache.axis2.engine,org.osgi.framework";version="4.7.190"
Import-Package: javax.xml.namespace;resolution:=optional,javax.xml.strea
 m;resolution:=optional;version="[1.0,2)",org.apache.axiom.om;resolution
 :=optional,org.apache.axiom.om.impl.builder;resolution:=optional,org.ap
 ache.axis2;resolution:=optional;version="[1.6,2)",org.apache.axis2.addr
 essing;resolution:=optional;version="[1.6,2)",org.apache.axis2.context;
 resolution:=optional;version="[1.6,2)",org.apache.axis2.deployment;reso
 lution:=optional;version="[1.6,2)",org.apache.axis2.description;resolut
 ion:=optional;version="[1.6,2)",org.apache.axis2.engine;resolution:=opt
 ional;version="[1.6,2)",org.apache.axis2.handlers;resolution:=optional;
 version="[1.6,2)",org.apache.axis2.util;resolution:=optional;version="[
 1.6,2)",org.apache.commons.io;resolution:=optional;version="[2.0,3)",or
 g.apache.commons.logging;resolution:=optional;version="[1.2,2)",org.apa
 che.synapse;resolution:=optional;version="[4.0,5)",org.apache.synapse.a
 pi;resolution:=optional;version="[4.0,5)",org.apache.synapse.commons.ex
 ecutors;resolution:=optional;version="[4.0,5)",org.apache.synapse.commo
 ns.executors.config;resolution:=optional;version="[4.0,5)",org.apache.s
 ynapse.commons.snmp;resolution:=optional;version="[4.0,5)",org.apache.s
 ynapse.config;resolution:=optional;version="[4.0,5)",org.apache.synapse
 .config.xml;resolution:=optional;version="[4.0,5)",org.apache.synapse.c
 onfig.xml.endpoints;resolution:=optional;version="[4.0,5)",org.apache.s
 ynapse.config.xml.eventing;resolution:=optional;version="[4.0,5)",org.a
 pache.synapse.config.xml.inbound;resolution:=optional;version="[4.0,5)"
 ,org.apache.synapse.config.xml.rest;resolution:=optional;version="[4.0,
 5)",org.apache.synapse.core;resolution:=optional;version="[4.0,5)",org.
 apache.synapse.core.axis2;resolution:=optional;version="[4.0,5)",org.ap
 ache.synapse.debug;resolution:=optional;version="[4.0,5)",org.apache.sy
 napse.deployers;resolution:=optional;version="[4.0,5)",org.apache.synap
 se.endpoints;resolution:=optional;version="[4.0,5)",org.apache.synapse.
 eventing;resolution:=optional;version="[4.0,5)",org.apache.synapse.inbo
 und;resolution:=optional;version="[4.0,5)",org.apache.synapse.libraries
 .imports;resolution:=optional;version="[4.0,5)",org.apache.synapse.medi
 ators.base;resolution:=optional;version="[4.0,5)",org.apache.synapse.me
 diators.template;resolution:=optional;version="[4.0,5)",org.apache.syna
 pse.message.processor;resolution:=optional;version="[4.0,5)",org.apache
 .synapse.message.store;resolution:=optional;version="[4.0,5)",org.apach
 e.synapse.registry;resolution:=optional;version="[4.0,5)",org.apache.sy
 napse.startup;resolution:=optional;version="[4.0,5)",org.apache.synapse
 .task;resolution:=optional;version="[4.0,5)",org.apache.ws.security.ker
 beros;resolution:=optional;version="[1.6,2)",org.osgi.framework;resolut
 ion:=optional;version="[1.9,2)",org.osgi.service.component;resolution:=
 optional;version="[1.2,2)",org.wso2.carbon.base;resolution:=optional;ve
 rsion="[1.0,2)",org.wso2.carbon.context;resolution:=optional;version="[
 4.8,5)",org.wso2.carbon.core;resolution:=optional;version="[4.8,5)",org
 .wso2.carbon.inbound.endpoint;resolution:=optional;version="[4.7,5)",or
 g.wso2.carbon.inbound.endpoint.persistence.service;resolution:=optional
 ;version="[4.7,5)",org.wso2.carbon.mediation.initializer;resolution:=op
 tional,org.wso2.carbon.mediation.initializer.configurations;resolution:
 =optional,org.wso2.carbon.mediation.initializer.handler;resolution:=opt
 ional,org.wso2.carbon.mediation.initializer.persistence;resolution:=opt
 ional,org.wso2.carbon.mediation.initializer.services;resolution:=option
 al,org.wso2.carbon.mediation.initializer.utils;resolution:=optional,org
 .wso2.carbon.mediation.ntask.internal;resolution:=optional;version="[4.
 7,5)",org.wso2.carbon.mediation.registry;resolution:=optional;version="
 [4.7,5)",org.wso2.carbon.ntask.core.service;resolution:=optional;versio
 n="[4.9,5)",org.wso2.carbon.registry.core;resolution:=optional;version=
 "[1.0,2)",org.wso2.carbon.registry.core.exceptions;resolution:=optional
 ;version="[1.0,2)",org.wso2.carbon.registry.core.session;resolution:=op
 tional;version="[1.0,2)",org.wso2.carbon.securevault;resolution:=option
 al;version="[4.8,5)",org.wso2.carbon.task.services;resolution:=optional
 ;version="[4.7,5)",org.wso2.carbon.utils;resolution:=optional;version="
 [4.8,5)",org.wso2.securevault.secret;resolution:=optional;version="[1.1
 ,2)"
Require-Capability: osgi.service;filter:="(objectClass=org.wso2.carbon.i
 nbound.endpoint.persistence.service.InboundEndpointPersistenceService)"
 ;effective:=active;resolution:=optional,osgi.service;filter:="(objectCl
 ass=org.wso2.carbon.mediation.ntask.internal.NtaskService)";effective:=
 active;resolution:=optional,osgi.service;filter:="(objectClass=org.wso2
 .carbon.securevault.SecretCallbackHandlerService)";effective:=active,os
 gi.service;filter:="(objectClass=org.wso2.carbon.task.services.TaskDesc
 riptionRepositoryService)";effective:=active,osgi.service;filter:="(obj
 ectClass=org.wso2.carbon.task.services.TaskSchedulerService)";effective
 :=active,osgi.service;filter:="(objectClass=org.wso2.carbon.utils.Confi
 gurationContextService)";effective:=active,osgi.ee;filter:="(&(osgi.ee=
 JavaSE)(version=1.8))"
Service-Component: OSGI-INF/esb.core.initializer.xml
Tool: Bnd-3.3.0.201609221906
